import { WalletAccountOpenStatusEnum } from '@/constants';

export function isWalletAccountOpen(walletAccountOpenStatus: API.WalletAccountOpenStatusInfo[]) {
  if (walletAccountOpenStatus?.length > 0) {
    return walletAccountOpenStatus.some(
      (item) => item.walletAccountOpenStatus === WalletAccountOpenStatusEnum.Enabled
    );
  }
  return false;
}
